import { AbstractControl, AbstractControlDirective, FormControlName, FormGroupName } from '@angular/forms';
import { ValidationMessage } from './model/ValidationMessage';
import * as i0 from "@angular/core";
export declare class ValidationMessageComponent {
    formControlName: FormControlName;
    get standalone(): boolean;
    for: AbstractControl;
    get messages(): ValidationMessage[];
    get firstMessage(): ValidationMessage;
    get controlPath(): string;
    acd: AbstractControlDirective;
    constructor(formControlName: FormControlName, formGroupName: FormGroupName);
    private getValidationMessages;
    static ɵfac: i0.ɵɵFactoryDeclaration<ValidationMessageComponent, [{ optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ValidationMessageComponent, "validation-message", never, { "for": "for"; }, {}, never, never>;
}
